<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CrossHair Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d0c/class_cross_hair.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CrossHair Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab4dbd27081bbc1d9241d3ff6c9c1508f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#ab4dbd27081bbc1d9241d3ff6c9c1508f">CrossHair</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w)</td></tr>
<tr class="separator:ab4dbd27081bbc1d9241d3ff6c9c1508f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02a1f18b3027ddb8e47d05d2f8e132de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a02a1f18b3027ddb8e47d05d2f8e132de">~CrossHair</a> ()</td></tr>
<tr class="separator:a02a1f18b3027ddb8e47d05d2f8e132de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87f9e8e58bd972453fb80666013171b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a87f9e8e58bd972453fb80666013171b5">GetName</a> ()</td></tr>
<tr class="separator:a87f9e8e58bd972453fb80666013171b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf812e7a8f000e3621116c3c760cb62a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#adf812e7a8f000e3621116c3c760cb62a">IsCurrent</a> ()</td></tr>
<tr class="separator:adf812e7a8f000e3621116c3c760cb62a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a411a1621366aedd6d6afe2672b43a8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a5a411a1621366aedd6d6afe2672b43a8">IsShown</a> ()</td></tr>
<tr class="separator:a5a411a1621366aedd6d6afe2672b43a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86347fd32db21e56c508445ccfc70d0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a86347fd32db21e56c508445ccfc70d0a">Show</a> ()</td></tr>
<tr class="separator:a86347fd32db21e56c508445ccfc70d0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a570449f9369d518d7ef00ffaf8c2ad16"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a570449f9369d518d7ef00ffaf8c2ad16">Hide</a> ()</td></tr>
<tr class="separator:a570449f9369d518d7ef00ffaf8c2ad16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa9d6e357fd4ae3928f932bc874436087"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#aa9d6e357fd4ae3928f932bc874436087">m_Name</a></td></tr>
<tr class="separator:aa9d6e357fd4ae3928f932bc874436087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69efc181e8360b976c7b2f15746ba868"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a69efc181e8360b976c7b2f15746ba868">m_Shown</a></td></tr>
<tr class="separator:a69efc181e8360b976c7b2f15746ba868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0912eef2f269beb29ae6bc036d29f1b5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a0912eef2f269beb29ae6bc036d29f1b5">m_Current</a></td></tr>
<tr class="separator:a0912eef2f269beb29ae6bc036d29f1b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8812e720a479c93a4e07e0f9bfb4c96e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d0c/class_cross_hair.html#a8812e720a479c93a4e07e0f9bfb4c96e">m_Widget</a></td></tr>
<tr class="separator:a8812e720a479c93a4e07e0f9bfb4c96e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab4dbd27081bbc1d9241d3ff6c9c1508f" name="ab4dbd27081bbc1d9241d3ff6c9c1508f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4dbd27081bbc1d9241d3ff6c9c1508f">&#9670;&#160;</a></span>CrossHair()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CrossHair::CrossHair </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00009">9</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a02a1f18b3027ddb8e47d05d2f8e132de" name="a02a1f18b3027ddb8e47d05d2f8e132de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02a1f18b3027ddb8e47d05d2f8e132de">&#9670;&#160;</a></span>~CrossHair()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CrossHair::~CrossHair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00017">17</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a87f9e8e58bd972453fb80666013171b5" name="a87f9e8e58bd972453fb80666013171b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87f9e8e58bd972453fb80666013171b5">&#9670;&#160;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CrossHair::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00019">19</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a570449f9369d518d7ef00ffaf8c2ad16" name="a570449f9369d518d7ef00ffaf8c2ad16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a570449f9369d518d7ef00ffaf8c2ad16">&#9670;&#160;</a></span>Hide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CrossHair::Hide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00041">41</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="adf812e7a8f000e3621116c3c760cb62a" name="adf812e7a8f000e3621116c3c760cb62a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf812e7a8f000e3621116c3c760cb62a">&#9670;&#160;</a></span>IsCurrent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CrossHair::IsCurrent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00024">24</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a5a411a1621366aedd6d6afe2672b43a8" name="a5a411a1621366aedd6d6afe2672b43a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a411a1621366aedd6d6afe2672b43a8">&#9670;&#160;</a></span>IsShown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> CrossHair::IsShown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00029">29</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a86347fd32db21e56c508445ccfc70d0a" name="a86347fd32db21e56c508445ccfc70d0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86347fd32db21e56c508445ccfc70d0a">&#9670;&#160;</a></span>Show()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CrossHair::Show </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00034">34</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0912eef2f269beb29ae6bc036d29f1b5" name="a0912eef2f269beb29ae6bc036d29f1b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0912eef2f269beb29ae6bc036d29f1b5">&#9670;&#160;</a></span>m_Current</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> CrossHair::m_Current</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="aa9d6e357fd4ae3928f932bc874436087" name="aa9d6e357fd4ae3928f932bc874436087"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9d6e357fd4ae3928f932bc874436087">&#9670;&#160;</a></span>m_Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CrossHair::m_Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a69efc181e8360b976c7b2f15746ba868" name="a69efc181e8360b976c7b2f15746ba868"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69efc181e8360b976c7b2f15746ba868">&#9670;&#160;</a></span>m_Shown</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> CrossHair::m_Shown</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00004">4</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<a id="a8812e720a479c93a4e07e0f9bfb4c96e" name="a8812e720a479c93a4e07e0f9bfb4c96e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8812e720a479c93a4e07e0f9bfb4c96e">&#9670;&#160;</a></span>m_Widget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> CrossHair::m_Widget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html#l00007">7</a> of file <a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/<a class="el" href="../../d4/d9f/_cross_hair_selector_8c_source.html">CrossHairSelector.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d0c/class_cross_hair.html">CrossHair</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
